ALTER TRIGGER(7)

NAME
ALTER TRIGGER - change the definition of a trigger

SYNOPSIS

ALTER TRIGGER trigger ON table
    RENAME TO newname

  INPUTS

trigger
    The name of an existing trigger to alter.

table
    The name of the table on which this trigger acts.

newname
    New name for the existing trigger.

  OUTPUTS

ALTER TRIGGER
    Message returned from trigger renaming.

ERROR
    Message returned if trigger is not available, or new name is a duplicate of another existing trigger on the table.

DESCRIPTION

ALTER TRIGGER changes the definition of an existing trigger. The RENAME clause causes the name of a trigger on the given table to change without otherwise changing the trigger definition.

You must own the table on which the trigger acts in order to change its properties.

  NOTES

Refer to CREATE TRIGGER for a further description of valid arguments.

USAGE

To rename an existing trigger:

ALTER TRIGGER emp_stamp ON emp RENAME TO emp_track_chgs;

COMPATIBILITY

  SQL92

The clause to rename triggers is a PostgreSQL extension from SQL92.